Subject: bug#14582: 24.3.50.1; Strange overlay behavior, when window-start is inside an overlay.

From: Michael Heerdegen <[email-masked]>
Date: Tue, 08 Feb 2022 01:29:21 +0100

Eli Zaretskii <[email-masked]> writes:

> Fixed, thanks.

Ok, thanks.

The next problem: I'm reading *info*.  I'm hitting [down] multiple
times, and when a line starts with something in Info-quoted face,
hitting [down] one more time scrolls the buffer one line or two lines
upwards, although the cursor is far from the last visible line.  With
other words: when continuously hitting [down], when the cursor crosses
some line with a certain property, the display is scrolled by a tiny
amount, but only when the display starts at `point-min' (i.e. with the
beginning of the narrowed section).  It happens only once.

I think this "has to do with different line heights" or so.
Unfortunately I'm not able to reproduce this problem with emacs -Q.
Should I bisect my config, or do you already have an idea where this
behavior could come from?

Michael.